<?php 
if( ! defined( 'ABSPATH') ) {
    exit;
}
/**
 * Brief Detail View
 */

$briefDetail 	= json_decode($briefDetail);

$briefname 		= $briefDetail->name;
$rwc 			= $briefDetail->report->recommended_word_count;
$rcTopic		= $briefDetail->report->recommended_topics;
$related_questions_quora 	= $briefDetail->report->related_questions_quora->questions;
$related_questions 			= $briefDetail->report->related_questions->questions;
$related_questions_autocomplete = $briefDetail->report->related_questions_autocomplete->questions;
$competitors 	= $briefDetail->report->competitors;

$currentgrade 	= $briefDetail->content_gdocs->grade;
$word_count  	= $briefDetail->content_gdocs->word_count;
$topics_for_next_grade = $briefDetail->content_gdocs->topics_for_next_grade;
$coverage = $briefDetail->content_gdocs->coverage;

?>
<div class="usetopic-briefdetail">
<div class="brief-detail-header">
	<div class="usetopic_back" <?php if( $briefFromURL ){ echo 'data-fromurl="1"'; }?> ><svg class="MuiSvgIcon-root MuiSvgIcon-colorPrimary" focusable="false" viewBox="0 0 24 24" aria-hidden="true" style="color: rgb(133, 159, 189);"><path d="M21 11H6.83l3.58-3.59L9 6l-6 6 6 6 1.41-1.41L6.83 13H21z"></path></svg> <p class="usetopic-tooltip">Back</p></div>
	<div class="title"><?php echo $briefname; ?></div>
	
	<div class="usetopic_logout">
		<?php if( !$briefFromURL ){ ?>
		<button class="usetopic_logout_btn">
			<svg class="MuiSvgIcon-root MuiSvgIcon-colorPrimary" focusable="false" viewBox="0 0 24 24" aria-hidden="true" style="color: rgb(133, 159, 189);"><path d="M10.09 15.59L11.5 17l5-5-5-5-1.41 1.41L12.67 11H3v2h9.67l-2.58 2.59zM19 3H5c-1.11 0-2 .9-2 2v4h2V5h14v14H5v-4H3v4c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2z"></path></svg>
			<p class="usetopic-tooltip">Logout</p>
		</button>
		<?php } ?>
	</div>

</div>
<div class="grading">
	<p>Current Grade</p>
	<h3 id="usetopic-currentgrade"><?php echo $currentgrade; ?></h3>
	<div id="usetopic-currentprogress" class="usetopic-progress">
		<span class="progress-bar__inner" style="width: <?php echo $coverage; ?>%"></span>
	</div>
	<p>Cover <span id="usetopic-currenttfng"><?php echo $topics_for_next_grade; ?></span> more topics to reach next grade</p>
	<div class="usetopic-bdwc"><?php echo __( 'Word Count :', 'usetopic-plugin' ); ?> <span data-rec="<?php echo $rwc; ?>" id="usetopic-wordcount"><?php echo $word_count; ?></span> / <span id="usetopic-currentneedwords"><?php echo $rwc; ?></span></div>
</div>
<div class="usetopic-tqo"> 
	<div class="tab">

	<ul>
		<li>
			<button onclick="openUsetopicTab(this, 'usetopictopics')" class="usetopic-tb button active"><div id="circle" class="circle"></div><?php echo __( 'TOPICS', 'usetopic-plugin' ); ?></button><div class="push"></div>
		</li>
		<li>
			<button onclick="openUsetopicTab(this, 'usetopicquestions')" class="usetopic-tb button"><div id="circle" class="circle"></div><?php echo __( 'QUESTIONS', 'usetopic-plugin' ); ?></button><div class="push"></div>
		</li>
		<li>
			<button onclick="openUsetopicTab(this, 'usetopicoutlines')" class="usetopic-tb button"><div id="circle" class="circle"></div><?php echo __( 'OUTLINES', 'usetopic-plugin' ); ?></button><div class="push"></div>
		</li>
	</ul>
	</div>

	<div id="usetopictopics" class="tabcontent" style="display: block;">
		<h3><?php echo __( 'Topics to Cover', 'usetopic-plugin' ); ?></h3>
		<div class="usetopic_switch">
		    <input type="checkbox" value="1" id="usetopic_toggle">
		    <label>Show Only Unused</label>
		</div>
		<ul class="usedTopicsAllTopics ">
			<?php 
			if(!empty($rcTopic)){
				foreach($rcTopic as $stkey => $singleTopic){
					?>
					<li data-keyword="<?php echo $singleTopic->name; ?>" data-index="<?php echo $stkey; ?>" class="usetopic-single-ky"><div class="usetopic-brief-ct-name"><?php echo $singleTopic->name; ?><p>Used by <em><?php if(!empty($singleTopic->summary)){ echo COUNT($singleTopic->summary); } ?> Sources</em></p><p class="usetopic-tooltip">click to view Examples</p></div><div class="usetopic-headingsin-used">
						<?php if(!empty($singleTopic->header_usage) && COUNT($singleTopic->header_usage) > 0 ){ ?>
						<svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="heading" class="svg-inline--fa fa-heading fa-w-16 " role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="currentColor" d="M448 96v320h32a16 16 0 0 1 16 16v32a16 16 0 0 1-16 16H320a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h32V288H160v128h32a16 16 0 0 1 16 16v32a16 16 0 0 1-16 16H32a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h32V96H32a16 16 0 0 1-16-16V48a16 16 0 0 1 16-16h160a16 16 0 0 1 16 16v32a16 16 0 0 1-16 16h-32v128h192V96h-32a16 16 0 0 1-16-16V48a16 16 0 0 1 16-16h160a16 16 0 0 1 16 16v32a16 16 0 0 1-16 16z"></path></svg>
						<p class="usetopic-tooltip">used in <?php echo COUNT($singleTopic->header_usage); ?> Headings</p>
					<?php } ?>
					</div></li>
					<?php 
				}
			}
			?>
		</ul>
	</div>

	<div id="usetopicquestions" class="tabcontent" style="display:none;">
		<h3><?php echo __( 'Questions To Answer', 'usetopic-plugin' ); ?></h3>
		<p class="intro"><?php echo __( 'Looking at commonly searched questions can help you understand what kind of answers your audience is looking for. Find natural ways to answer these questions in your content.', 'usetopic-plugin' ); ?></p>

		<div class="acc usetopic-acccs">  
			<div class="acc__card">
				<div class="acc__title"><?php echo __( 'Google People Also Ask', 'usetopic-plugin' ); ?></div>
				<div class="acc__panel">
				<?php if($related_questions == 'No PAA Box'){
						?>
						 <span class="usetopic-nqf">No questions were found for "<?php echo $briefname; ?>"</span>
						 <?php 
					}else{
						//echo json_encode($related_questions);
					} 
					?>
				</div>
			</div>
			<div class="acc__card"> 
				<div class="acc__title"><?php echo __( 'Quora', 'usetopic-plugin' ); ?></div>
				<div class="acc__panel">
					<?php if(empty($related_questions_quora)){
						?>
						 <span class="usetopic-nqf">No questions were found for "<?php echo $briefname; ?>"</span>
						 <?php 
					}else{
						?>
						<ul class="usetopic-related-questions">
						<?php 
						foreach($related_questions_quora as $utsinglerqq){
							?>
							<li><a class="usetopic-qa" href="<?php echo $utsinglerqq->link; ?>" target="_blank"><?php echo $utsinglerqq->question; ?></a>
								<a class="usetopic-qa-icon" href="<?php echo $utsinglerqq->link; ?>" target="_blank">
								<svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="external-link-alt" class="svg-inline--fa fa-external-link-alt fa-w-16 " role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" style="font-size: 12px;"><path fill="currentColor" d="M432,320H400a16,16,0,0,0-16,16V448H64V128H208a16,16,0,0,0,16-16V80a16,16,0,0,0-16-16H48A48,48,0,0,0,0,112V464a48,48,0,0,0,48,48H400a48,48,0,0,0,48-48V336A16,16,0,0,0,432,320ZM488,0h-128c-21.37,0-32.05,25.91-17,41l35.73,35.73L135,320.37a24,24,0,0,0,0,34L157.67,377a24,24,0,0,0,34,0L435.28,133.32,471,169c15,15,41,4.5,41-17V24A24,24,0,0,0,488,0Z"></path></svg>
								</a>
								</li>
							<?php 
						} ?>
						</ul>
						<?php 
					}
					?>
				</div>
			</div>
			<div class="acc__card"> 
				<div class="acc__title"><?php echo __( 'Google Suggest', 'usetopic-plugin' ); ?></div>
				<div class="acc__panel">
					<?php if(empty($related_questions_autocomplete)){
						?>
						 <span class="usetopic-nqf">No questions were found for "<?php echo $briefname; ?>"</span> 
						 <?php 
					}else{
						?>
						<ul class="usetopic-related-questions usetopic-gsuggs">
						<?php 
						foreach($related_questions_autocomplete as $utsingleraq){
							?>
							<li><a class="usetopic-qa" href="<?php echo 'https://www.google.com/search?q='.$utsingleraq->keyword; ?>" target="_blank"><?php echo $utsingleraq->keyword; ?></a>
								<a class="usetopic-qa-icon" href="<?php echo 'https://www.google.com/search?q='.$utsingleraq->keyword; ?>" target="_blank">
								<svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="external-link-alt" class="svg-inline--fa fa-external-link-alt fa-w-16 " role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" style="font-size: 12px;"><path fill="currentColor" d="M432,320H400a16,16,0,0,0-16,16V448H64V128H208a16,16,0,0,0,16-16V80a16,16,0,0,0-16-16H48A48,48,0,0,0,0,112V464a48,48,0,0,0,48,48H400a48,48,0,0,0,48-48V336A16,16,0,0,0,432,320ZM488,0h-128c-21.37,0-32.05,25.91-17,41l35.73,35.73L135,320.37a24,24,0,0,0,0,34L157.67,377a24,24,0,0,0,34,0L435.28,133.32,471,169c15,15,41,4.5,41-17V24A24,24,0,0,0,488,0Z"></path></svg>
								</a>
							</li>
							<?php 
						} ?>
						</ul>
						<?php 
					}
					?>
				</div>
			</div>
			
		</div>

	</div>

	<div id="usetopicoutlines" class="tabcontent" style="display:none;">
		<h3><?php echo __( 'Competitor Outlines', 'usetopic-plugin' ); ?></h3>
		<p class="intro"><?php echo sprintf( __( 'Easily see how others are covering this topic so that you can quickly create your own outline. <a href="%s" target="_blank">Why are some outlines missing?</a>', 'usetopic-plugin' ), 
            'https://usetopic.zendesk.com/hc/en-us/articles/360051872774'
        ); ?> </p>
        <?php 
        if(!empty($competitors)){
        	foreach($competitors as $singleCompetitor){
        ?>
        <div class="usetopic-single-outline">
        	<div class="uto-header">Position <?php echo $singleCompetitor->position; ?> / Content Grade <?php echo $singleCompetitor->grade; ?></div>
        	<div class="uto-body">
        		<h3><img class="topic-detail-outline-icon" src="https://www.google.com/s2/favicons?domain_url=<?php echo $singleCompetitor->url; ?>" ><?php echo $singleCompetitor->title; ?></h3>
        		<a href="<?php echo $singleCompetitor->url; ?>" target="_blank"><?php $url_info = parse_url($singleCompetitor->url); echo $url_info['scheme'].'://'.$url_info['host']; ?></a>
        		<?php if($singleCompetitor->description){ ?>
        		<h4>DESCRIPTION</h4>
        		<p><?php echo $singleCompetitor->description; ?></p>
        		<?php } ?>
        		<h4>OUTLINE</h4>
        		<ul>
        			<?php if(!empty($singleCompetitor->headings)){
        				foreach($singleCompetitor->headings as $chSingle){
        			?>
        			<li class="<?php echo $chSingle->tag; ?>" ><?php echo $chSingle->text; ?></li>
        			<?php } } ?>
        		</ul>
        	</div>
        </div>
        <?php }  } ?>
	</div>
</div>
	<div class="use-topic-top-bar bottom-briefs-bar"><p><a href="https://www.usetopic.com/" target="_blank"><svg width="20" height="20" role="img" aria-hidden="true" focusable="false"><g transform="translate(3.000000,21.000000) scale(0.013,-0.013)"><path d="M904 1621 c-138 -54 -368 -232 -491 -380 -61 -72 -69 -107 -59 -245 l6 -90 -24 33 c-13 18 -30 46 -36 62 -18 43 -28 36 -36 -28 -7 -57 9 -190 24 -205 4 -4 53 59 109 140 93 134 223 303 302 392 17 19 -24 -39 -92 -130 -224 -300 -398 -580 -543 -874 -61 -122 -64 -132 -64 -200 0 -79 11 -111 28 -80 5 11 49 109 97 219 48 110 123 266 168 348 66 121 84 147 103 147 40 0 150 39 190 68 49 36 81 80 62 86 -7 3 -48 8 -92 11 -43 4 -74 11 -70 15 5 5 65 26 134 47 l125 39 63 94 c133 201 212 392 212 512 0 43 -2 48 -22 48 -13 -1 -55 -13 -94 -29z"></path></g></svg>Topic</a><a target="_blank" href="https://wordpress.org/plugins/topic/#developers" style="font-size: 0.6rem;text-decoration: underline;">v1.0.9</a></p><span><a href="https://usetopic.zendesk.com/hc/en-us" target="_blank">HELP</a></span></div>
</div>

<div class="usetopic-keyword-detail-popup" style="display:none;"></div>